Call and Play
curl --request POST \
--url https://api.voxo.co/v2/admin/calling/call-and-play \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenantId": 123,
"to": "<string>",
"from": "<string>",
"text": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/calling/call-and-play"
payload = {
"tenantId": 123,
"to": "<string>",
"from": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenantId: 123, to: '<string>', from: '<string>', text: '<string>'})
};
fetch('https://api.voxo.co/v2/admin/calling/call-and-play', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"message": "<string>"
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Calling
Call and Play
Initiate an outbound call and play text-to-speech audio to the recipient
POST
/
v2
/
admin
/
calling
/
call-and-play
Call and Play
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Tenant ID to place the call for
Destination phone number (10-digit US format)
Pattern:
^[1-9]\d{9}$Caller ID phone number (must belong to tenant)
Pattern:
^[1-9]\d{9}$Text to convert to speech and play on the call
Minimum string length:
3Optional webhook URL for call status updates
Was this page helpful?
⌘I